Skip to main content
GET
List scans

Authorizations

Authorization
string
header
required

Passlet access token (plt_*) sent as Authorization: Bearer <token> or X-API-Key. Authorized scopes are listed per operation under x-required-scopes.

Query Parameters

limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned by the previous page

Required string length: 1 - 512
offset
integer
default:0

Deprecated offset compatibility parameter

Required range: 0 <= x <= 9007199254740991
passId
string<uuid>

Pass identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
projectId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
templateId
string<uuid>

Template identifier

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
result
enum<string>

Filter by decision.

Available options:
accepted,
denied
Example:

"accepted"

reason
enum<string>[]

Filter by one or more reasons (any-of).

Minimum array length: 1
Available options:
valid,
already_used,
no_match,
multiple_matches,
not_active,
expired,
revoked,
wrong_project,
out_of_window,
quota_exhausted,
cooldown,
unverifiable
from
string<date-time>

Only scans effective at or after this instant.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
to
string<date-time>

Only scans effective at or before this instant.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

OK

items
object[]
required
total
integer
required

Total number of items

Required range: -9007199254740991 <= x <= 9007199254740991
limit
integer
required

Items per page

Required range: -9007199254740991 <= x <= 9007199254740991
offset
integer
required

Items skipped

Required range: -9007199254740991 <= x <= 9007199254740991
hasMore
boolean
required

Whether more items exist

nextCursor
string | null

Opaque cursor for the next page, or null when exhausted